import { Data } from './../Data';
import { IVisitPetData } from './IVisitPetData';
export class VisitStatisticsData extends Data {
    /**
     * 宠物总数
     */
    public total: number;

    /**
     * 已来访个数
     */
    public visitPetCount: number;

    /**
     * 宠物列表信息
     */
    public pet: IVisitPetData[];
    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);
        if (result.data) {
            this.total = result.data.total;
            this.visitPetCount = result.data.visitPetCount;
            this.pet = result.data.pet;
        }
    }
}